MAKEDBM(8)

NAME
makedbm - create a YP database

SYNOPSIS
makedbm [-blsUu] [-d yp_domain_name] [-i yp_input_file] [-m yp_master_name] [-o yp_output_file] infile outfile

DESCRIPTION
makedbm is the utility in YP that creates the database file containing the YP map. The database format is a slightly modified version of ndbm.

The options are as follows:

-b  Interdomain. Include an entry in the database informing a YP server to use DNS to get information about unknown hosts. This option will only have effect on the two maps hosts.byname and hosts.byaddr.

-d yp_domain_name
    Include an entry in the map with the key YP_DOMAIN_NAME and the argument as value.

-i yp_input_file
    Include an entry in the map with the key YP_INPUT_FILE and the argument as value.

-l  Lowercase. Convert all keys to lower case before adding them to the YP database.

-m yp_master_name
    Include an entry in the map with the key YP_MASTER_NAME and the argument as value.

-o yp_output_file
    Include an entry in the map with the key YP_OUTPUT_FILE and the argument as value.

-s  Secure map. Include an entry in the database informing ypxfr(8) and ypserv(8) that the YP map is going to be handled as secure.

-U  Same as -u but also try db(3) hash format.

-u  Dump a database to standard output.

SEE ALSO
db(3), Makefile.yp(8), yp(8), ypserv(8), ypxfr(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>